
Redmine - Defect #12536

Missing 'parent' field for projects REST API

2012-12-07 15:03 - Matthias Lamoureux

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.1.4

Description

When using the projects API for a given project, for example projects/189.xml, the parent field is not returned whereas it is when

using the full list of projects projects.xml.

History

#1 - 2012-12-07 15:27 - Matthias Lamoureux

Title should be : Missing 'parent' field for projects REST API

#2 - 2012-12-08 05:53 - Toshi MARUYAMA

- Subject changed from Adding 'parent' field for projects REST API to Missing 'parent' field for projects REST API

#3 - 2012-12-08 09:47 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

The parent is present in the API response for a single project: source:/tags/2.1.4/app/views/projects/show.api.rsb (unless the project is a root project).
